gnutls_x509_crt_set_name_constraints(3)

NAME
gnutls_x509_crt_set_name_constraints - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_name_constraints(gnutls_x509_crt_t crt, gnutls_x509_name_constraints_t nc, unsigned int critical);

ARGUMENTS

gnutls_x509_crt_t crt
    The certificate structure

gnutls_x509_name_constraints_t nc
    The nameconstraints structure

unsigned int critical
    whether this extension will be critical

DESCRIPTION
This function will set the provided name constraints to the certificate extension list. This extension is always marked as critical.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/